]> git.pld-linux.org Git - packages/XFree86.git/blobdiff - xfs.init
- release 2
[packages/XFree86.git] / xfs.init
index 081ad4de30af30ba027e5a696451e4c999c5ae32..2b98bbefa18a3f9430ccf6caa538197c2fcd99f8 100644 (file)
--- a/xfs.init
+++ b/xfs.init
@@ -2,7 +2,7 @@
 #
 # xfs:         Starts the X Font Server
 #
-# Version:      $Release:$
+# Version:     $Revision$
 #
 # chkconfig:   345 90 10
 # description: Starts and stops the X Font Server at boot time and shutdown.
 # Source function library.
 . /etc/rc.d/init.d/functions
 
+# Get service config
+if [ -f /etc/sysconfig/xfs ]; then
+       . /etc/sysconfig/xfs
+fi
+
+RETVAL=0
 # See how we were called.
 case "$1" in
   start)
        # Check if the service is already running?
        if [ ! -f /var/lock/subsys/xfs ]; then
-               show Starting X Font Server
+               msg_starting "X Font Server"
                rm -fr /tmp/.font-unix
-               daemon xfs -droppriv -daemon -port -1
+               daemon xfs \
+                       $([ -n "$XFS_PORT" ] && echo "-port $XFS_PORT") \
+                       $([ -n "$XFS_OPTIONS" ] && echo "$XFS_OPTIONS")
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/xfs
        else
-               echo "X Font Server already is running"
+               msg_already_running "X Font Server"
        fi
-       touch /var/lock/subsys/xfs
        ;;
   stop)
-       show Shutting down X Font Server
-       killproc xfs
-       rm -f /var/lock/subsys/xfs
+       if [ -f /var/lock/subsys/xfs ]; then
+               msg_stopping "X Font Server"
+               killproc xfs
+               rm -f /var/lock/subsys/xfs
+       else
+               msg_not_running "X Font Server"
+       fi
        ;;
   status)
        status xfs
+       exit $?
        ;;
   restart)
        $0 stop
        $0 start
+       exit $?
        ;;
-  reload)
+  reload|force-reload)
        if [ -f /var/lock/subsys/xfs ]; then
-               show "Reload X Font Server configuration"
+               msg_reloading "X Font Server"
                killproc xfs -USR1
-               deltext;
-               ok;
+               RETVAL=$?
        else
-               echo "Reload X Font Server not runed"
+               msg_not_running "X Font Server" >&2
+               exit 7
        fi
        ;;
   *)
-       echo "*** Usage: xfs {start|stop|status|restart|reload}"
-       exit 1
+       msg_usage "$0 {start|stop|restart|reload|force-reload|status}"
+       exit 3
 esac
 
-exit 0
+exit $RETVAL
This page took 0.0284 seconds and 4 git commands to generate.